Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DirectManipulationControl Class Reference
Inheritance diagram for DirectManipulationControl:

## Public Member Functions
| __init__ (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| constraint = None
int | fFreeManip = 1
int | fHitInit = 1
int | fMovable = 1
int | fScaleInit = 1
int | fScaleInit1 = 1
int | fScaling1D = 0
int | fScaling3D = 0
int | fSetCoa = 0
int | fWidgetTop = 0
| hitPt = Point3(0)
int | hitPtDist = 0
| hitPtScale = Point3(0)
int | initScaleMag = 1
int | lastCrankAngle = 0
| manipRef = base.direct.group.attachNewNode('manipRef')
| mode = None
| objectHandles = ObjectHandles()
| prevHit = Vec3(0)
| prevHitScale = Vec3(0)
str | rotateAxis = 'x'
| rotationCenter = Point3(0)
bool | useSeparateScaleHandles = False
bool | worldSpaceManip = False

## Additional Inherited Members
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

## Member Data Documentation

## ◆ constraint

constraint = None

## ◆ fFreeManip

int fFreeManip = 1

## ◆ fHitInit

int fHitInit = 1

## ◆ fMovable

int fMovable = 1

## ◆ fScaleInit

int fScaleInit = 1

## ◆ fScaleInit1

int fScaleInit1 = 1

## ◆ fScaling1D

int fScaling1D = 0

## ◆ fScaling3D

int fScaling3D = 0

## ◆ fSetCoa

int fSetCoa = 0

## ◆ fWidgetTop

int fWidgetTop = 0

## ◆ hitPt

hitPt = Point3(0)

## ◆ hitPtDist

int hitPtDist = 0

## ◆ hitPtScale

hitPtScale = Point3(0)

## ◆ initScaleMag

int initScaleMag = 1

## ◆ lastCrankAngle

int lastCrankAngle = 0

## ◆ manipRef

manipRef = base.direct.group.attachNewNode('manipRef')

## ◆ mode

mode = None

## ◆ objectHandles

objectHandles = ObjectHandles()

## ◆ prevHit

prevHit = Vec3(0)

## ◆ prevHitScale

prevHitScale = Vec3(0)

## ◆ rotateAxis

str rotateAxis = 'x'

## ◆ rotationCenter

rotationCenter = Point3(0)

## ◆ useSeparateScaleHandles

bool useSeparateScaleHandles = False

## ◆ worldSpaceManip

bool worldSpaceManip = False